<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

.. _surname_id.xsl:

==============
surname_id.xsl
==============

DESCRIPTION
===========

gnration de la partie "nom" de l'id

EVOLUTIONS
==========

$Id$

- fplod 2008-05-05T12:13:12Z aedon.locean-ipsl.upmc.fr (Darwin)

  * simplification and replace single quote by underscore

- fplod 2007-05-18T13:03:39Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation
    cf http://www.dpawson.co.uk/xsl/sect2/N7998.html
    There's a trick to this::

       translate($x, translate($x, 'abcde', ''), '')

    will remove all characters except a,b,c,d, and e from your string $x.
    et String split into elements dans http://www.dpawson.co.uk/xsl/sect2/N7240.html
    http://www.dpawson.co.uk/xsl/sect2/N7240.html
    cf. http://www.dpawson.co.uk/xsl/sect2/N7240.html CRLF to BR

-->

<xsl:template name="surname_id">
 <xsl:param name="surname"/>
  <xsl:variable name="surname1">
   <xsl:variable name="single-quote">'</xsl:variable>
   <xsl:variable name="underscore">_</xsl:variable>
   <xsl:value-of select="translate($surname,$single-quote,$underscore)"/>
  </xsl:variable>
  <xsl:value-of select="translate($surname1, 'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>

</xsl:template>
</xsl:stylesheet>
